LinuxCNC on Linux Mint Debian Edition 6

More
11 Mar 2024 00:19 #295609 by tommylight

systemd : Depends: libsystemd-shared (= 252.22-1~deb12u1) but version 252.12-1~deb12u1 is about to be installed

Did not make a fuss about this the first round, but if you do get this again, reinstall Linux.
That is the shared portion of the SystemD trying to get replaced, SystemD runs pretty much everything on Linux.

Please Log in or Create an account to join the conversation.

More
11 Mar 2024 02:11 #295613 by phillc54

That is the shared portion of the SystemD trying to get replaced, SystemD runs pretty much everything on Linux.

Not if you use Devuan. ;)
The following user(s) said Thank You: tommylight

Please Log in or Create an account to join the conversation.

More
11 Mar 2024 15:26 #295640 by tommylight

That is the shared portion of the SystemD trying to get replaced, SystemD runs pretty much everything on Linux.

Not if you use Devuan. ;)


Devuan is still using SystemV, and deserve respect for not complying to the mess with SysD.
The following user(s) said Thank You: phillc54

Please Log in or Create an account to join the conversation.

More
13 Mar 2024 22:16 #295859 by bkt
I think the problem comes from package 2.9.2 which searches for an older version of lib systemD.... I have installed LMDE6 latest version... which evidently brings an updated systemD.... if I can spend my two cents.. .. if one criticism can be made of open sources it is the fragmentation .... it is not logical .... it is like throwing oneself to the multinationals .... well I will never understand this .... but at my home They say that the world is beautiful because it is varied... so I look at the beauty...

regards
bkt
The following user(s) said Thank You: tommylight

Please Log in or Create an account to join the conversation.

More
14 Mar 2024 00:37 #295862 by cornholio
Kinda interesting as like I said I never came up against these issues, maybe Mint updated the ISO. Everything went smooth, even allowing for the change from a RTAI version to a uspace version.
Maybe the goblins are at play. The same ones that are pulling the hair from my head through my nose and ears.
The following user(s) said Thank You: rodw

Please Log in or Create an account to join the conversation.

More
15 Mar 2024 06:58 #295939 by bkt
aha aha

Please Log in or Create an account to join the conversation.

More
15 Mar 2024 09:20 - 15 Mar 2024 10:16 #295946 by tommylight
Where did you get the LinuxCNC 2.9.2 deb?
There are two repos with it (were) and they are/were not the same, the one on highlab server should work.
Link
forum.linuxcnc.org/9-installing-linuxcnc...-of-linuxcnc?start=0
Last edit: 15 Mar 2024 10:16 by tommylight.
The following user(s) said Thank You: bkt

Please Log in or Create an account to join the conversation.

More
15 Mar 2024 10:12 - 15 Mar 2024 10:17 #295949 by bkt
@ tommylight .... from linuxcnc download .deb file .... not remember exactly ... not for sure from .... but think exactly from here: linuxcnc.org/downloads/ .... not for sure from packages.debian.org or ftp.debian.org/debian/pool/main/l/linuxcnc/ .... but think at least that page point directly to ftp.debian ... right?


any how restart to install LMDE6 dowloaded from Linux Mint page (linuxmint.com/download_lmde.php) .... actually I use these (uname -a):
Linux mint 6.1.0-12amd64 #1 SMP PREEMT_DYNAMIC Debian 6.1.52-1 (2023-09-07) x86_64 GNU/Linux

is right these?    
Last edit: 15 Mar 2024 10:17 by bkt.

Please Log in or Create an account to join the conversation.

More
15 Mar 2024 10:19 #295950 by tommylight
How did you get that kernel?
Install LMDE6 again, no idea where and how are you installing things, but doing random things and expecting stuff to work, usually does not work. :)

Please Log in or Create an account to join the conversation.

More
15 Mar 2024 12:26 #295955 by bkt
if you use my link you obtain that kernel ..... linuxmint.com/download_lmde.php .....

So where can dowload LMDE6 with right kernel for Lcnc 2.9.2??

regards

Please Log in or Create an account to join the conversation.

Time to create page: 0.297 seconds
Powered by Kunena Forum